{html_head}
{if $lat}
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={$GMAPS_API_KEY}&amp;hl={$lang_info.code}" type="text/javascript"></script>


<script src="{$PLUGIN_ROOT_URL}/template/windows_13/javascripts/prototype.js" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/windows_13/javascripts/window.js" type="text/javascript" defer="defer"></script>
<link href="{$PLUGIN_ROOT_URL}/template/windows_13/themes/default.css" rel="stylesheet" type="text/css" />
<link href="{$PLUGIN_ROOT_URL}/template/windows_13/themes/alphacube.css" rel="stylesheet" type="text/css" />

<style type="text/css">{literal}

#map2{    
left:0px;
 width:250px
}
#mapPicture{ 

width:100px ;
 border:outset;
 height:100px;
}
#map{ float:left;
 top:20px;
 right:0px;
  width:500px;
  height:500px;
 border:outset;
}


{/literal}
</style>
{/if}
{/html_head}

<fieldset>
  <legend>{'Display options'|@translate}</legend>
<form>
Set:
<select onchange="document.location = this.options[this.selectedIndex].value;">
  <optgroup label="Specials">
    {html_options options=$specials}
  </optgroup>
  <optgroup label="{'Categories'|@translate}">
  	{html_options options=$categories selected=$categories_selected}
  </optgroup>
  <!-- <optgroup label="{'Tags'|@translate}"></optgroup> -->
</select>
</form>
<table ><td align="left" >{'New_hlp'|@translate}</td> 
<tr><td align="left" >{'New_hlp2'|@translate}
</td></tr> 
</table>

  <p>{'elements per page'|@translate}:
      <a href="{$U_DISPLAY}&amp;display=20">20</a>
    | <a href="{$U_DISPLAY}&amp;display=50">50</a>
    | <a href="{$U_DISPLAY}&amp;display=100">100</a>
    | <a href="{$U_DISPLAY}&amp;display=all">{'all'|@translate}</a>
  </p>
</fieldset>

<form action="" method="post" id="Envoie" name="Envoie"   >

<fieldset>
	<legend>{'Elements'|@translate}</legend>

	<div class="navigationBar">{$NAV_BAR}</div>
  {if not empty($thumbnails)}
	<ul class="thumbnails">
		{foreach from=$thumbnails item=thumbnail}
		<li><span class="wrap1">
			<label>
				<span class="wrap2"><span>
					<img src="{$thumbnail.U_TN}" alt="{$thumbnail.file}" title="{$thumbnail.TITLE}" class="thumbnail" />
				</span></span>
				<input type="checkbox" name="selection[]" value="{$thumbnail.id}" />
			</label>

			<span class="thumbLegend">
			{if isset($thumbnail.U_MAP)}
			<a href="{$thumbnail.U_MAP}" target="_blank">{$thumbnail.lat},{$thumbnail.lon}</a>
			{/if}
			</span>

			</span>
		</li>
		{/foreach}
	</ul>
	{/if}
</fieldset>

<!--/===================================================================================-->

<fieldset>
<legend>{'map'|@translate}</legend>
<input class="submit" type="submit" name="submit" value="{'selection'|@translate}" />
<input class="submit" type="submit" name="submit" value="{'reset'|@translate}" /><br />
<input type="text" size="300px" value="{$match}"  name="match"    />
<input class="submit" type="submit" name="submit" value="{'search_title'|@translate}" />

{if $lat}
<div id="map"></div>
{if not empty($Selectthumbnails)}
	<ul class="thumbnails">
		{foreach from=$Selectthumbnails item=thumbnail}
		 
			<li><span class="wrap1">
				<label>
					<span class="wrap2"><span>
						<img src="{$thumbnail.U_TN}" alt="{$thumbnail.file}" title="{$thumbnail.TITLE}" class="thumbnail" />
					</span>
					
					</span>
					<br/>
</label>
				<input type="text"  value={$thumbnail.id}  name="selection[]"    />
				
				
				
				<span class="thumbLegend">
				{if isset($thumbnail.U_MAP)}
					<a href="{$thumbnail.U_MAP}" target="_blank">{$thumbnail.lat},{$thumbnail.lon}</a>
				{/if}
				{$thumbnail.file}  
				</span>

				</span>
			</li>
			
		{/foreach}
	</ul>
	{/if}

 <script src="dragzoom.js" type="text/javascript"></script>
<script type="text/javascript">

{literal}
 //<![<!--CDATA[
function onLoad()
{
  if (!GBrowserIsCompatible())   return;
  var mapElement = document.getElementById("map");
  var map = new GMap2(document.getElementById("map"),{mapTypes: [G_SATELLITE_MAP,G_HYBRID_MAP,G_NORMAL_MAP,G_PHYSICAL_MAP,G_SATELLITE_3D_MAP]});
  
  map.addControl(new GLargeMapControl());
  map.addControl(new GMapTypeControl());
  map.addControl(new GScaleControl());
<!--  map.enableScrollWheelZoom();-->
<!--  map.enableDoubleClickZoom();-->
{/literal}
{if isset($lat)}{/if}
var coord = new GLatLng( {$lat}, {$lon} );

  Ma_position=coord;
  var echelle=18;
  
  map.setCenter( coord, echelle);
  var marker = new GMarker(coord);
  map.addOverlay(marker);

{literal}
  if ( !map.isLoaded() )
    map.setCenter( new GLatLng(49,3), 14);
  try {
    // the overview must be added after setting map center
    var ovcontrol = new GOverviewMapControl(new GSize(165,165));
		map.addControl(ovcontrol);
		var ov_map = ovcontrol.getOverviewMap();
		GEvent.addListener(map, 'maptypechanged', function(){
			ov_map.setMapType(G_NORMAL_MAP);
		});
		

GEvent.addListener(map,"click", function(overlay,latlng)
            {
 if (overlay) { return; }
            var myHtml = "<input    type=\"text\" name=\"lat\" value="+latlng.lat()+" /><input   type=\"text\" name=\"lon\" value="+latlng.lng()+" /> ";	
             map.openInfoWindow(latlng, myHtml);	

		{/literal}
				document.Envoie.lat.value=latlng.lat() ;
				document.Envoie.lon.value=latlng.lng() ;

				
				


		{literal}	
            }
			);
			 
				 
  }
  catch(e){ alert( e.message ); }
  

}

function blowupUrl(theUrl)
{
  var win = new Window({
    title: document.title,
    url: theUrl,
    classname: "alphacube",
    left: 0, top: 0,
    width:"640", height:"480",
    minimizable: false,
    maximizable: false,
    draggable: false,
    resizable: false,
    destroyOnClose: true,
    hideEffect: Element.hide,
    showEffectOptions: {duration:1.5}
  });

  win.setConstraint(true, {top:20, left:20, bottom:30, right:20} );
  win.maximize();
  win.showCenter(true, 20, 20);
 
  return false;
}

<!--Event.observe(window, 'load', onLoad );-->
<!--Event.observe(window, 'unload', GUnload );-->
//]-->]>
{/literal}
onLoad();
</script>

{/if}

</fieldset>


<fieldset>
  <legend>{'Form'|@translate}</legend>

 
  <label>Latitude (-90=S to 90=N)
    <input type="text" size="8" value="{$lat}"  name="lat" />
  </label>
  <label>Longitude (-180=E to 180=W)
    <input type="text" size="9"value="{$lon}"  name="lon"  />
  </label>
  
  <p>
    {'target'|@translate}
    <label><input type="radio" name="target" value="all" /> {'all'|@translate}</label>
    <label><input type="radio" name="target" value="selection" checked="checked" /> {'selection'|@translate}</label>
  </p>

  <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" {$tag_input_enabled} /></p>
</fieldset>

</form>
